#ifndef _ASCIIRENDER_H_
#define _ASCIIRENDER_H_

//Header file for Rendering ASCII art sprites.

#include <ascii.h>

//Blit ASCII
void asciiart_blit(aasprite *, aasprite *, int, int, int, int, int, int);

//Clear ASCII
void asciiart_clear(aasprite *);

//Clear ASCII to Value
void asciiart_clear_to_value(aasprite *, unsigned char);

//Blit ASCII to BITMAP
void asciiart_bitmap_blit(aasprite *, BITMAP *, int, int, int, int, int, int);

//Draw ASCII Art
void draw_asciiart(BITMAP *, aasprite *, int, int);

#endif //_ASCIIRENDER_H_