//Source file for miscellaneous functions and utilities.

#include <util.h>
#include <log.h>

//Truncates a string off trailing newlines and carriage returns
char *strip_crlfs(char *str){
	char *tmp=str;
	if(str) 
	while(*str) {
		if(*str=='\r'||*str=='\n') *str=0;
		else str++;
	}
	return tmp;
}

//Skips data from current line onto next line
void *skip_line(FILE *flevel){
	int c=EOF;
	char data[MAXSTR];

	*data=0;
	//Ignore a Line
	fgets(data,MAXSTR,flevel); 
	
	#ifdef VERBOSE
		if(*data) log_printf("Ignoring %s",strip_crlfs(data));
	#endif //VERBOSE

	//Clean Up
	c=fgetc(flevel); while(c!=EOF&&!isprint(c)) c=fgetc(flevel); if(c!=EOF&&isprint(c)) ungetc(c,flevel);
	
	return NULL;
}
